//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CSPIN.h"
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <Mask.hpp>
#include <Grids.hpp>
#include <ValEdit.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *btnOpen;
        TMemo *Memo1;
        TButton *btnClose;
        TGroupBox *OSC;
        TCheckBox *CheckBox1;
        TCheckBox *CheckBox2;
        TCheckBox *CheckBox3;
        TCheckBox *CheckBox4;
        TCheckBox *CheckBox5;
        TCheckBox *CheckBox6;
        TButton *btnPutOSC;
        TButton *btnGetOSC;
        TCSpinEdit *CSpinEdit1;
        TLabel *Label1;
        TCSpinEdit *CSpinEdit2;
        TCSpinEdit *CSpinEdit3;
        TLabel *Label2;
        TLabel *Label3;
        TCSpinEdit *CSpinEdit4;
        TLabel *Label4;
        TCSpinEdit *CSpinEdit5;
        TCSpinEdit *CSpinEdit6;
        TLabel *Label5;
        TLabel *Label6;
        TCSpinEdit *CSpinEdit7;
        TLabel *Label7;
        TRadioButton *RadioButton1;
        TRadioButton *RadioButton2;
        TRadioButton *RadioButton3;
        TComboBox *ComboBox1;
        TButton *btnGetOscData;
        TPaintBox *PaintBox1;
        TGroupBox *GroupBox1;
        TCheckBox *CheckBox7;
        TCheckBox *CheckBox8;
        TButton *btnPutGen;
        TComboBox *ComboBox2;
        TComboBox *ComboBox3;
        TCSpinEdit *CSpinEdit8;
        TTimer *Timer1;
        TLabel *Label9;
        TCSpinEdit *CSpinEdit9;
        TCSpinEdit *CSpinEdit10;
        TCSpinEdit *CSpinEdit11;
        TCSpinEdit *CSpinEdit12;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label12;
        TLabel *Label13;
        TButton *btnGetGen;
        TButton *btnGetAll;
        TSpeedButton *btnTimer;
        TLabel *Label8;
        void __fastcall btnOpenClick(TObject *Sender);
        void __fastcall btnCloseClick(TObject *Sender);
        void __fastcall Memo1DblClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall btnPutOSCClick(TObject *Sender);
        void __fastcall btnGetOSCClick(TObject *Sender);
        void __fastcall btnGetOscDataClick(TObject *Sender);

        void __fastcall btnPutGenClick(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall btnTimerClick(TObject *Sender);
        void __fastcall btnGetGenClick(TObject *Sender);
        void __fastcall btnGetAllClick(TObject *Sender);
        void __fastcall ComboBox3Select(TObject *Sender);
        void __fastcall CSpinEdit5Change(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        void __fastcall LineAdd(AnsiString str);
        void __fastcall AddHex(PUCHAR buf, UINT len);
        void __fastcall PutWaveform(PUCHAR buf, UINT len, TColor color,
                                    UINT mark, bool minmax);
        void PutFreq(POSC oscreg);
        void __fastcall GrClear(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
